Configuración requerida

Informaciones técnicas relacionadas a las versiones estables de SPIP.

Un servidor http configurado para funcionar con PHP.

Próxima versión

SPIP 4.2

Requerido

  • Compatibildad PHP : 7.4 - 8.2
  • Extensions PHP : curl, xml, gd2, (mysqli | (pdo, pdo_sqlite)), sodium, zip, zlib, Phar

Sugestiones

  • php
    • ldap
  • Base de datos
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Procesamiento de imágenes
    • NetPBM
    • Imagick/convert
    • Freetype

Necesidades sistema mínimas

  • Espacio disco (sin la base de datos) : 150 MB
  • Memoria RAM : 128 MB

Versiones mantenidas

SPIP 4.1

Requerido

  • Compatibildad PHP : 7.4 - 8.1
  • Extensions PHP : xml, gd2, (mysqli | (pdo, pdo_sqlite)), sodium, zip, zlib, Phar

Sugestiones

  • php
    • curl
    • ldap
  • Base de datos
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Procesamiento de imágenes
    • NetPBM
    • Imagick/convert
    • Freetype

Necesidades sistema mínimas

  • Espacio disco (sin la base de datos) : 150 MB
  • Memoria RAM : 128 MB

SPIP 4.0

Requerido

  • Compatibildad PHP : 7.3 - 8.0
  • Extensions PHP : xml, gd2, (mysqli | (pdo, pdo_sqlite))

Sugestiones

  • php
    • curl
    • ldap
  • Base de datos
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Procesamiento de imágenes
    • NetPBM
    • Imagick/convert
    • Freetype

Provisto

  • jquery v3.6.0

Necesidades sistema mínimas

  • Espacio disco (sin la base de datos) : 150 MB
  • Memoria RAM : 128 MB

Final de vida

SPIP 3.1

Requerido

  • Compatibildad PHP : 5.1 - 7.1
  • Extensions PHP : xml, gd2, (mysqli | (pdo, pdo_sqlite))

Sugestiones

  • php
    • curl
    • ldap
  • Base de datos
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Procesamiento de imágenes
    • NetPBM
    • Imagick/convert
    • Freetype

Provisto

  • jquery v1.11.3, jquery-ui v1.11.4

Necesidades sistema mínimas

  • Espacio disco (sin la base de datos) : 150 MB
  • Memoria RAM : 128 MB

SPIP 3.0

Requerido

  • Compatibildad PHP : 5.1 - 5.6

Sugestiones

  • Base de datos
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Procesamiento de imágenes
    • NetPBM
    • Imagick/convert
    • Freetype

Provisto

  • jquery v1.7.2

Necesidades sistema mínimas

  • Espacio disco (sin la base de datos) : 150 MB
  • Memoria RAM : 128 MB

Autor o autora speciale Publicado el:

Traducciones: English, Español, français, Nederlands